/* generales */


@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

/* Evita el desbordamiento horizontal causado por animaciones */
body,
html {
    overflow-x: hidden;
}

/*Sticky footer*/
.body-sticky-footer {
    display: flex;
    flex-direction: column;
    /* Aseguara que el body ocupe al menos toda la altura de la ventana */
    min-height: 100vh;
}

/*el elemento <main> crece para llenar el espacio restante */
.body-sticky-footer main {
    flex-grow: 1;
}

/*nav*/
.fondo-rosa {
    background-image: radial-gradient(circle at center,
            /* Para que mi degradado sea circular y centrado */
            #e272b7 0%,
            /* Transición suave  ya que el más claro debe estar al 100% de su intensidad justo en el centro (0%) del degradado. */
            #B91C6F 100%
            /* el más oscuro debe estar al 100% de su intensidad justo en el borde (100%) del área del degradado. */
        );
}

a.nav-link {
    /*padding para izquierda y derecha */
    padding-left: 30px !important;
    padding-right: 30px !important;
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 14pt;



}

.navbar-brand img {
    /* Define el alto de la imagen */
    height: 65px;
    width: auto;
    margin-left: 5px;
}

.navbar {
    padding: 0;

}

main.container {
    /* El navbar tiene un alto de unos 70px. Usaremos 100px para espacio extra. */
    padding-top: 150px;
    padding-bottom: 50px;
}

.svg-iframe {
    width: 100%;
    /* Ocupa el 100% de la columna */
    height: 450px;
    max-width: 450px;
    border: none;
    /* Quita el borde por defecto */
    display: block;
    margin: 0 auto;
    background-color: #F4B461;
    margin-top: 150px;


    /* Bordes */
    border-radius: 30px;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);

}


/* Estilos para el botón */
.btn-general {
    /* 2. Aplica el degradado vertical */
    background-image: linear-gradient(to bottom,
            /* Dirección: de arriba hacia abajo */
            #F55149 0%,
            #C03E4C 100%);
    border-radius: 20px;
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 22px;
    margin-top: 80px !important;

}

/* --- Hover Botón --- */
.btn-general:hover {
    border: none;
    /* Degradado invertido */
    background-image: linear-gradient(to bottom,
            #F4B461 0%,
            #F58740 100%);

    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
    /* Transición suave */
    transition: background-image 0.3s ease, color 0.3s ease, box-shadow 0.3s ease;
}

h1,
.h2 {
    /* familia de fuentes */
    font-family: "Playfair Display", serif;
    font-weight: 450 !important;
    margin-top: 150px;
}

h1 {
    font-size: 100px !important;
    line-height: 0.9 !important;
}

/* La clase .h2 es usada en un <span> dentro del h1. */
.h2 {

    font-size: 85px;
}

/*Footer*/
.rosita {
    background-color: #F56EAC;
    padding: 30px;
}

footer.rosita .social-icons i {
    font-size: 24px !important;

}

.rosita .container p {
    padding-top: 15px !important;
}

/*SOBRE MI*/
/*header*/
.container-rojo {
    background-color: #F55149;
    color: #F2F2F2;
    margin-top: 140px;
    /* Separación blanca de la altura del navbar */
    padding-top: 70px;
    /* Padding interno, encima del texto */
    padding-bottom: 50px;

}

.container-rojo h1 {
    margin-top: 0%;
    font-size: 40px;
}

.container-rojo h2 {
    font-family: "Raleway", sans-serif;
    font-size: 37px;
    font-weight: 350
}

h3 {
    font-family: "Playfair Display", serif;
    font-size: 52px;
    font-weight: 470
}

.container-rojo h3 {
    text-align: center;
}

p {
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    font-weight: 460
}

.parrafo-inicial {
    padding-top: 20px;
}

.parrafo-destacado {
    font-size: 20px !important;
    font-weight: 600 !important;
    margin-top: 25px;
}


/*sobre mi- seccio 1*/
.caja-experiencia {
    background-color: #F4B461;
    /* Color naranja de tu mockup */
    padding-top: 80px;
    padding-left: 5%;
    padding-right: 5%;
    padding-bottom: 20px;

    border-radius: 15px;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.1);
    /* Desplazamiento de la caja para que la imagen quede superpuesta.*/
    margin-top: -100px;
    /* Sube la caja para que el texto parezca estar "detrás" */
    position: relative;
    /*para que el z-index funcione en algunos navegadores */
    z-index: 1;
    /* Para que la caja de texto esté por encima del fondo */
}

.imagen-flotante {
    display: block;
    margin: 0 auto;
    max-width: 80%;
    height: auto;
    /* para que se posicione correctamente sobre la caja de texto */
    position: relative;
    z-index: 2;

}


/* Título de Habilidades */
.habilidades-titulo {
    margin-bottom: 40px;
    text-align: right;
}

.icono-circular {
    background-color: #F4B461;
    width: 180px;
    height: 120px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: auto;

    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

.icono-circular img {
    max-width: 70%;
    /* Ajusta el tamaño de la imagen dentro del círculo */
    height: auto;
}

.texto-habilidad-col p {
    /* Elimina el margen superior que el navegador aplica al párrafo por defecto */
    margin-top: 0;
}


.justificado-derecha {
    text-align: right;
}

.btn-portafolio {
    background-image: linear-gradient(to bottom,
            /* Dirección: de arriba hacia abajo */
            #F55149 0%,
            #C03E4C 100%);
    border-radius: 20px;
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
    font-family: "Raleway", sans-serif;
    font-weight: 500;
    font-size: 22px;
}

.btn-portafolio:hover {
    border: none;
    /* Degradado invertido */
    background-image: linear-gradient(to bottom,
            #F4B461 0%,
            #F58740 100%);

    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
    /* Transición suave */
    transition: background-image 0.3s ease, color 0.3s ease, box-shadow 0.3s ease;
}

/* PORTAFOLIO */

/* --- Estilos para el Slider (Carrusel) --- */
#portfolioCarousel {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

/*Ajustes del contenedor para que sea más alto y flexible */
.slider-contenido {
    width: 100%;
    height: 550px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.img-carrusel {
    max-width: 95%;
    /* Que ocupe casi todo el ancho disponible */
    max-height: 550px;
    /* Que crezca verticalmente */
    width: auto;
    height: auto;
    object-fit: contain;
    /* Esto evita la distorsión */
    margin-top: 0;
}

/*Acercamos las flechas a la imagen */
.carousel-control-prev,
.carousel-control-next {
    width: 3%;
    /* Aumentamos un poco el área para que no queden tan en las orillas */
}

/* Estilos para las flechas de navegación */
.carousel-control-prev,
.carousel-control-next {
    width: 5%;
}

/* Color rojo para el ícono de las flechas*/
.carousel-control-prev-icon,
.carousel-control-next-icon {
    background-color: #F55149;
    height: 40px;
    width: 25px;
    border-radius: 5px;
    background-size: 100%, 100%;
    /* Asegura que la flecha ocupe el espacio */
}

.carousel-control-prev-icon {
    filter: invert(1);
    /* Hace la flecha blanca dentro del fondo rojo */
}

.carousel-control-next-icon {
    filter: invert(1);
}



/*DISEÑO EDITORIAL*/

.container.contenido-principal {
    padding-top: 150px;
    padding-bottom: 50px;
}

/* ---(Separador) --- */

.banda-roja {
    /*tamaño */
    width: 100%;
    /* Ocupa todo el col-6*/
    height: 35px;


    /* Estilos de color y forma */
    background-color: #F55149;
    border-radius: 20px;
    margin-bottom: 0px;
    margin-top: 20px;
}

/*COLOR DE FONDOS*/
.seccion-menus-completa {
    background-color: #F56EAC;
    padding-top: 40px;
    padding-bottom: 90px;
    width: 100%;
    /* Asegura que cubra el ancho total */
}

/* borde blanco*/
.img-proyecto {
    width: 100%;
    height: auto;
    display: block;

    /* El borde blanco*/
    padding: 12px;
    background-color: #ffffff;

}

.seccion-amarillo-completa {
    background-color: #F4B461;
    padding-top: 80px;
    padding-bottom: 30px;
    width: 100%;
    margin-top: 100px;
}

.seccion-cartel-completa {
    background-color: #F56D47;
    padding-top: 40px;
    padding-bottom: 80px;
    width: 100%;
    margin-top: 180px;
    /* Separación con la sección anterior */
}

.titulo {
    margin-top: 0px !important;
}

.parrafo-descripcion {
    font-family: "Raleway", sans-serif;
    font-size: 18px;
    font-weight: 460;
    line-height: 1.6;
    margin-top: 40px;
    /* Separación del h1 */
    margin-bottom: 100px;
}

.titulo-seccion {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;

}

.titulo-seccion-menu {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    color: white;

}

.titulo-seccion-photobook2 {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    text-align: right;
    color: white;
}

.titulo-seccion-revista {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    margin-top: 150px;

}

.titulo-seccion-cartel {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    margin-top: 20px;
    text-align: center;
    color: white;
}

.img-proyecto {
    /*La imagen ocupa el ancho completo de su columna */
    width: 100%;
    /*Asegura que la imagen mantenga su proporción */
    height: auto;
    /* 3. Estilo de contenedor */
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.menu-dos {
    padding-top: 110px;
}

.photobook {
    margin-top: 200px;
}

.titulo-seccion-photobook {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    text-align: right;
}


.img-mitad {
    max-width: 58.33%;
    /*la imagen mantenga su proporción */
    height: auto;
    /* 3. Estilo de contenedor */
    margin-top: 40px;
    margin-bottom: 50px;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.img-revista {
    max-width: 80%;
    /*Asegura que la imagen mantenga su proporción */
    height: auto;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.img-revista2 {
    max-width: 80%;
    /*Asegura que la imagen mantenga su proporción */
    height: auto;
    padding: 5px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-top: 155px;
}

.img-revista3 {
    max-width: 80%;
    /*  Asegura que la imagen mantenga su proporción */
    height: auto;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-top: 160px;

}

.img-revista4 {
    max-width: 80%;
    /*Asegura que la imagen mantenga su proporción */
    height: auto;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-top: 40px;
}

.img-cartel {
    max-width: 80%;
    /* 2. Asegura que la imagen mantenga su proporción */
    height: auto;
    /* 3. Estilo de contenedor */
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-bottom: 80px;
}

/*Galerìa */
.titulo-seccion-gal {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    margin-top: 170px;


}

/*Foto*/
.img-proyecto-foto {
    width: 80%;
    height: auto;
    /*Estilo de contenedor */
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);

}

.img-proyecto-foto-2 {
    width: 80%;
    height: auto;
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);

}


.img-proyecto-foto-7 {
    /*La imagen ocupa el ancho completo de su columna */
    width: 80%;
    /*imagen mantiene su proporción */
    height: auto;
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-bottom: 100px;

}

.titulo-seccion-paisaje {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    margin-top: 20px;
    text-align: center;
    color: white;
}


.titulo-seccion-retrato {
    font-family: "Playfair Display", serif;
    font-size: 60px;
    font-weight: 470;
    margin-bottom: 60px;
    margin-top: 180px;

}

/*color fondo de foto*/
.seccion-paisaje-completa {
    background-color: #F4B461;
    padding-top: 60px;
    padding-bottom: 50px;
    width: 100%;
    margin-top: 100px;
   
}

/*Web*/

.img-proyecto-web {
    width: 100%;
    height: auto;
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-bottom: 100px;
}

.img-proyecto-web-2 {
    width: 100%;
    height: auto;
    /* 3. Estilo de contenedor */
    display: block;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    margin-bottom: 120px;
}

/*CONTACTO*/
/* Contenedor principal del formulario (Naranja) */
.formulario-container {
    background-color: #F55149;
    padding: 25px;
    border-radius: 50px;
    margin-bottom: 20px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    /* Muy importante para que el iframe no se salga de las esquinas redondeadas */
}

/* Títulos de contacto */
.titulo-contacto {
    margin-top: 5px;
}

.subtitulo-contacto {
    font-family: "Raleway", sans-serif;
    font-weight: 450;
    font-size: 70px;
    margin-bottom: 40px;
    text-align: center;
    margin-top: 100px;
}

.titulo-redes-sociales {
    font-family: "Raleway", sans-serif;
    font-weight: 600;
    font-size: 65px;
    margin-bottom: 40px;
    text-align: center;
    margin-top: 100px;
}

/* --- ESTILOS DEL IFRAME DE GOOGLE FORMS --- */
.google-form-iframe {
    width: 100%;
    height: 850px;
    /* Mantengo la altura que tenías originalmente */
    border: none;
    border-radius: 30px;
    background-color: white;
    display: block;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.05);
}




/* Media queries*/

@media (max-width: 1200px) {
    h1 {
        font-size: 75px !important;
        line-height: 0.9 !important;
        margin-top: 50px !important;

    }

    .h2 {
        font-size: 55px;
    }

    .btn-general {
        margin-top: 50px !important;
    }

    /*SOBRE MI*/

    .container-rojo h1 {
        font-size: 35px;
    }

    .container-rojo h2 {
        font-size: 25px;
    }



}



@media (max-width: 992px) {
    a.nav-link {
        padding-top: 12px;
    }

    .centrado {
        margin-left: auto !important;
        margin-right: auto !important;
        max-width: 450px;
        padding-top: 50px;
    }

    /*SOBRE MI*/

    .container-rojo h3 {
        font-size: 40px;
    }

    /*DISEÑO EDITORIAL*/
    .titulo-seccion {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .titulo-seccion-menu {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .titulo-seccion-photobook {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .titulo-seccion-photobook2 {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .titulo-seccion-revista {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .titulo-seccion-cartel {
        font-size: 46px;
        /* Reduce el tamaño en pantallas medianas */
        margin-bottom: 40px;
    }

    .img-proyecto {
        max-width: 80%;
        /* Centra la imagen dentro de la columna */
        margin-left: auto;
        margin-right: auto;
    }

    .menu-dos {
        padding-top: 0px;
    }

    .img-mitad {
        max-width: 80%;
        margin-left: auto;
        margin-right: auto;
    }

    .img-revista2 {
        margin-top: 45px;
    }

    .img-revista3 {
        margin-top: 45px;
    }

    .img-revista4 {
        margin-top: 45px;
    }

    /*Galeria*/
    .titulo-seccion-gal {
        font-size: 46px;
        margin-bottom: 40px;
    }

    /*foto*/
    .img-proyecto-foto {
        max-width: 80%;
        /* Centra la imagen dentro de la columna */
        margin-left: auto;
        margin-right: auto;
    }

    .titulo-seccion-retrato {
        font-size: 46px;
        margin-bottom: 40px;
    }

    .titulo-seccion-paisaje {
        font-size: 46px;
        margin-bottom: 40px;
    }


    .img-proyecto-web {
        max-width: 80%;
        margin-left: auto;
        margin-right: auto;
    }

    .img-proyecto-web-2 {
        max-width: 80%;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 0;
    }

}






@media (max-width: 768px) {
    /*SOBRE MI*/

    .container-rojo h3 {
        text-align: left;
        padding-top: 20px;
    }

    .habilidades-titulo {
        text-align: center;
    }
}

@media (max-width: 575.98px) {
    a.nav-link {
        text-align: center;
        padding-top: 10px;
    }

    /*Contacto*/
    .formulario-container {
        padding: 30px 20px;
        border-radius: 30px;
    }

    .texto-label {
        text-align: left;
        margin-bottom: 5px;
    }


    .subtitulo-contacto {
        font-size: 45px;
        margin-top: 50px;
    }

    .titulo-redes-sociales {
        font-size: 45px;
        margin-top: 50px;
        margin-bottom: 10px;
    }

    .formulario-container {
        padding: 15px;
        border-radius: 30px;
    }

    .google-form-iframe {
        height: 900px;
    }

}